adjust:
- because: we don't want to run the avc check for local testing as it needs root and
    we're executing tests under a regular user
  check: []
  when: initiator is not defined or initiator != packit
- because: 'Virtual provision have started to be quite slow, will investigate what
    caused the slowdown with the test /tests/execute/unresponsive

    '
  duration+: '*2'
  when: provision_how == virtual
- because: it needs to be executed with root permissions
  enabled: true
  when: how == full or trigger == commit
author: []
check:
- delay-before-report: 5
  enabled: true
  how: avc
  ignore-pattern:
  - type=USER_AVC.*received policyload notice
  result: respect
  test-method: timestamp
component: []
contact:
- Petr Šplíchal <psplicha@redhat.com>
context:
  arch:
  - x86_64
  distro:
  - fedora-rawhide
  initiator:
  - packit
  trigger:
  - commit
description: Directory should have 1777 so any user can write there, even when it
  is recreated after deletion. Otherwise no other user than the one who created it
  is able to use tmt from that point.
duration: 10m
enabled: true
environment:
  TMT_FEELING_SAFE: '1'
framework: beakerlib
id: null
link: []
manual: false
name: /tests/run/permissions
order: 50
path: /tests/run/permissions
recommend: []
require:
- tmt
- coreutils
restart-max-count: 1
restart-on-exit-code: []
restart-with-reboot: false
result: respect
sources:
- /var/ARTIFACTS/work-advancedm608c7wg/plans/features/advanced/discover/default-0/tests/tests/main.fmf
- /var/ARTIFACTS/work-advancedm608c7wg/plans/features/advanced/discover/default-0/tests/tests/run/permissions/main.fmf
summary: Check WORKDIR_ROOT has correct permissions
tag: []
test: ./test.sh
tier: '4'
tty: false
where: null
